# SceModule Struct Reference
[Interface to the LoadCoreForKernel library.]

`#include <sdk/kernel/psploadcore.h>`

Collaboration diagram for SceModule:

[legend]

## Detailed Description

Describes a module.

This structure could change in future firmware revisions.

## Data Fields

SceModule * | next
unsigned short | attribute
unsigned char | version [2]
char | modname [27]
char | terminal
unsigned int | unknown1
unsigned int | unknown2
SceUID | modid
unsigned int | unknown3 [4]
void * | ent_top
unsigned int | ent_size
void * | stub_top
unsigned int | stub_size
unsigned int | unknown4 [4]
unsigned int | entry_addr
unsigned int | gp_value
unsigned int | text_addr
unsigned int | text_size
unsigned int | data_size
unsigned int | bss_size
unsigned int | nsegment
unsigned int | segmentaddr [4]
unsigned int | segmentsize [4]

## Field Documentation

unsigned short SceModule::attribute

unsigned int SceModule::bss_size

unsigned int SceModule::data_size

unsigned int SceModule::ent_size

void* SceModule::ent_top

unsigned int SceModule::entry_addr

unsigned int SceModule::gp_value

SceUID SceModule::modid

char SceModule::modname[27]

struct SceModule* SceModule::next

unsigned int SceModule::nsegment

unsigned int SceModule::segmentaddr[4]

unsigned int SceModule::segmentsize[4]

unsigned int SceModule::stub_size

void* SceModule::stub_top

char SceModule::terminal

unsigned int SceModule::text_addr

unsigned int SceModule::text_size

unsigned int SceModule::unknown1

unsigned int SceModule::unknown2

unsigned int SceModule::unknown3[4]

unsigned int SceModule::unknown4[4]

unsigned char SceModule::version[2]

The documentation for this struct was generated from the following file:

- sdk/kernel/psploadcore.h